## subtitlecomposer 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

project(subtitlecomposer VERSION "0.8.0")

if(QT_MAJOR_VERSION EQUAL 6)
	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat)
	set(QT_MIN_VERSION "6.0.0")
	set(KF_MAJOR_VERSION "6")
	set(KF_MIN_VERSION "5.240.0")
	set(CMAKE_CXX_STANDARD 17)
else()
	set(QT_EXTRA_COMPONENTS)
	set(QT_MAJOR_VERSION 5)
	set(QT_MIN_VERSION "5.9.0")
	set(KF_MAJOR_VERSION "5")
	set(KF_MIN_VERSION "5.44.0")
	set(CMAKE_CXX_STANDARD 11)
endif()

set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests) # build tests

include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
	Core Widgets Gui Test Qml ${QT_EXTRA_COMPONENTS})

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
	Config ConfigWidgets CoreAddons I18n KIO XmlGui
	Sonnet Codecs TextWidgets WidgetsAddons)

find_package(OpenSSL REQUIRED)

#PO_SUBDIR
add_subdirectory(src)

add_custom_target(nsis COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/pkg/mingw/nsi-installer.sh" `${CMAKE_C_COMPILER} -dumpmachine`)

ki18n_install(po)

=== src/CMakeLists.txt ===
if(NOT CMAKE_BUILD_TYPE)
	message(STATUS "No build type selected, default to Release")
	set(CMAKE_BUILD_TYPE "Release")
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	message(STATUS "GNU C compiler detected")
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Og -g")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Og -g")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3")
	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -Wall -O3 -g")
	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3 -g")
endif()

ecm_setup_version(${PROJECT_VERSION}
	VARIABLE_PREFIX SUBTITLECOMPOSER
	SOVERSION ${PROJECT_VERSION_MAJOR}
	VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/config-subtitlecomposer.h"
)

add_definitions(-D_DEFAULT_SOURCE)
if(APPIMAGE)
	message(STATUS "AppImage build enabled")
	set(SC_APPIMAGE 1 CACHE INTERNAL EXPORTEDVARIABLE)
endif()

find_package(FFmpeg 57.83.100 REQUIRED)
find_package(OpenAL REQUIRED)
find_package(ICU)

set(SC_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBDIR}/subtitlecomposer" CACHE STRING EXPORTEDVARIABLE)
message(STATUS "Subtitle Composer plugin path: ${SC_PLUGIN_INSTALL_DIR}")

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR} # so that we can refer to our files starting at src dir
	${CMAKE_CURRENT_SOURCE_DIR}/widgets # needed for .ui files to access custom widgets
)

set(subtitlecomposer_SRCS
	#[[ main ]] application.cpp appglobal.cpp application_actions.cpp application_errorcheck.cpp application_subtitle.cpp mainwindow.cpp
	#[[ actions ]] actions/useraction.cpp actions/useractionnames.h actions/kcodecactionext.cpp actions/krecentfilesactionext.cpp
	#[[ configs ]] configs/configdialog.cpp configs/errorsconfigwidget.cpp configs/generalconfigwidget.cpp configs/playerconfigwidget.cpp configs/waveformconfigwidget.cpp
	#[[ core ]] core/formatdata.h core/range.h core/rangelist.h core/time.cpp core/richstring.cpp
	core/subtitle.cpp core/subtitleiterator.cpp core/subtitleline.cpp
	#[[ core/richtext ]] core/richtext/richdocument.cpp core/richtext/richdocumenteditor.cpp core/richtext/richdocumentlayout.cpp core/richtext/richcss.cpp
	core/richtext/richdom.cpp
	#[[ core/undo ]] core/undo/subtitleactions.cpp core/undo/subtitlelineactions.cpp core/undo/undoaction.cpp core/undo/undostack.cpp
	#[[ dialogs ]] dialogs/actiondialog.cpp #[[dialogs/actionwitherrortargetsdialog.cpp]] dialogs/actionwithtargetdialog.cpp
	dialogs/adjusttimesdialog.cpp dialogs/autodurationsdialog.cpp dialogs/changeframeratedialog.cpp dialogs/changetextscasedialog.cpp
	dialogs/durationlimitsdialog.cpp dialogs/encodingdetectdialog.cpp dialogs/fixoverlappingtimesdialog.cpp dialogs/fixpunctuationdialog.cpp
	dialogs/insertlinedialog.cpp dialogs/intinputdialog.cpp dialogs/joinsubtitlesdialog.cpp dialogs/progressdialog.cpp
	dialogs/removelinesdialog.cpp dialogs/selectablesubtitledialog.cpp dialogs/shifttimesdialog.cpp dialogs/smarttextsadjustdialog.cpp
	dialogs/splitsubtitledialog.cpp dialogs/subtitleclassdialog.cpp dialogs/subtitlecolordialog.cpp dialogs/subtitlevoicedialog.cpp
	dialogs/syncsubtitlesdialog.cpp dialogs/textinputdialog.cpp
	#[[ errors ]] errors/errorfinder.cpp errors/errortracker.cpp errors/finderrorsdialog.cpp
	#[[ formats ]] formats/format.h formats/formatmanager.h formats/inputformat.h formats/outputformat.h formats/formatmanager.cpp
	formats/microdvd/microdvdinputformat.h formats/microdvd/microdvdoutputformat.h
	formats/mplayer/mplayerinputformat.h formats/mplayer/mplayeroutputformat.h
	formats/mplayer2/mplayer2inputformat.h formats/mplayer2/mplayer2outputformat.h
	formats/subrip/subripinputformat.h formats/subrip/subripoutputformat.h
	formats/substationalpha/substationalphainputformat.h formats/substationalpha/substationalphaoutputformat.h
	formats/subviewer1/subviewer1inputformat.h formats/subviewer1/subviewer1outputformat.h
	formats/subviewer2/subviewer2inputformat.h formats/subviewer2/subviewer2outputformat.h
	formats/textdemux/textdemux.cpp
	formats/tmplayer/tmplayerinputformat.h formats/tmplayer/tmplayeroutputformat.h
	formats/vobsub/vobsubinputformat.h formats/vobsub/vobsubinputinitdialog.cpp formats/vobsub/vobsubinputprocessdialog.cpp
	formats/webvtt/webvttinputformat.cpp formats/webvtt/webvttoutputformat.cpp
	formats/youtubecaptions/youtubecaptionsinputformat.h formats/youtubecaptions/youtubecaptionsoutputformat.h
	#[[ gui ]] gui/currentlinewidget.cpp gui/playerwidget.cpp
	#[[ gui/waveform ]] gui/waveform/waveformwidget.cpp gui/waveform/wavebuffer.cpp gui/waveform/zoombuffer.cpp gui/waveform/waverenderer.cpp
	gui/waveform/wavesubtitle.cpp
	#[[ gui/treeview ]] gui/treeview/linesitemdelegate.cpp gui/treeview/linesmodel.cpp gui/treeview/linesselectionmodel.cpp gui/treeview/lineswidget.cpp
	gui/treeview/richlineedit.cpp gui/treeview/richdocumentptr.cpp gui/treeview/treeview.cpp
	#[[ gui/subtitlemetawidget ]] gui/subtitlemeta/subtitlemetawidget.cpp gui/subtitlemeta/csshighlighter.cpp
	gui/subtitlemeta/subtitlepositionwidget.cpp
	#[[ helpers ]] helpers/commondefs.cpp helpers/debug.cpp helpers/fileloadhelper.cpp helpers/filesavehelper.cpp helpers/filetrasher.cpp helpers/languagecode.cpp
	helpers/pluginhelper.h
	#[[ scripting ]] scripting/scriptsmanager.cpp
	scripting/scripting_rangesmodule.cpp scripting/scripting_stringsmodule.cpp scripting/scripting_subtitlemodule.cpp scripting/scripting_subtitlelinemodule.cpp
	scripting/scripting_list.cpp scripting/scripting_range.cpp scripting/scripting_rangelist.cpp scripting/scripting_richstring.cpp scripting/scripting_subtitle.cpp
	scripting/scripting_subtitleline.cpp
	#[[ speechprocessor ]] speechprocessor/speechprocessor.cpp speechprocessor/speechplugin.cpp
	#[[ streamprocessor ]] streamprocessor/streamprocessor.cpp
	#[[ translations ]] translate/translatedialog.cpp translate/translateengine.cpp
	#[[ translation engines ]] translate/deeplengine.cpp translate/googlecloudengine.cpp
	#[[ utils ]] utils/finder.cpp utils/replacer.cpp utils/speller.cpp
	#[[ videoplayer ]] videoplayer/videoplayer.cpp videoplayer/videowidget.cpp videoplayer/waveformat.h videoplayer/subtitletextoverlay.cpp
	videoplayer/backend/glrenderer.cpp videoplayer/backend/ffplayer.cpp videoplayer/backend/framequeue.cpp videoplayer/backend/packetqueue.cpp
	videoplayer/backend/decoder.cpp videoplayer/backend/audiodecoder.cpp videoplayer/backend/videodecoder.cpp videoplayer/backend/subtitledecoder.cpp
	videoplayer/backend/clock.cpp videoplayer/backend/streamdemuxer.cpp videoplayer/backend/renderthread.cpp videoplayer/backend/videostate.cpp
	#[[ widgets ]] widgets/attachablewidget.cpp widgets/layeredwidget.cpp widgets/pointingslider.cpp widgets/simplerichtextedit.cpp
	widgets/textoverlaywidget.cpp widgets/timeedit.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
	)

kconfig_add_kcfg_files(subtitlecomposer_SRCS GENERATE_MOC scconfig.kcfgc)

ki18n_wrap_ui(subtitlecomposer_SRCS
	#[[ configs ]] configs/errorsconfigwidget.ui configs/generalconfigwidget.ui configs/playerconfigwidget.ui configs/waveformconfigwidget.ui
	#[[ dialogs ]] dialogs/encodingdetectdialog.ui dialogs/intinputdialog.ui dialogs/subtitleclassdialog.ui dialogs/subtitlevoicedialog.ui
	dialogs/textinputdialog.ui
	#[[ formats ]] formats/vobsub/vobsubinputinitdialog.ui formats/vobsub/vobsubinputprocessdialog.ui
	#[[ gui/subtitlemetawidget ]] gui/subtitlemeta/subtitlepositionwidget.ui
	#[[ scripting ]] scripting/scriptsmanager.ui
	#[[ translation engines ]] translate/deeplengine.ui translate/googlecloudengine.ui
	)

add_subdirectory(icons)

list(APPEND subtitlecomposer_RES ${CMAKE_CURRENT_SOURCE_DIR}/subtitlecomposer.qrc)

if(QT_MAJOR_VERSION EQUAL 6)
	qt6_add_resources(subtitlecomposer_RES_SRC ${subtitlecomposer_RES})
else()
	qt5_add_resources(subtitlecomposer_RES_SRC ${subtitlecomposer_RES})
endif()

add_library(subtitlecomposer-lib STATIC ${subtitlecomposer_SRCS})
target_link_libraries(subtitlecomposer-lib
	Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::WidgetsPrivate
	Qt${QT_MAJOR_VERSION}::Gui Qt${QT_MAJOR_VERSION}::Qml 
	KF${KF_MAJOR_VERSION}::CoreAddons KF${KF_MAJOR_VERSION}::WidgetsAddons KF${KF_MAJOR_VERSION}::TextWidgets KF${KF_MAJOR_VERSION}::Codecs
	KF${KF_MAJOR_VERSION}::SonnetCore KF${KF_MAJOR_VERSION}::SonnetUi
	KF${KF_MAJOR_VERSION}::KIOCore KF${KF_MAJOR_VERSION}::KIOFileWidgets KF${KF_MAJOR_VERSION}::KIOWidgets
	KF${KF_MAJOR_VERSION}::XmlGui KF${KF_MAJOR_VERSION}::I18n
	OpenSSL::SSL
	${FFMPEG_LIBRARIES}
	${OPENAL_LIBRARY}
	${ICU_LIBRARIES}
)
if(QT_MAJOR_VERSION EQUAL 6)
	target_link_libraries(subtitlecomposer-lib Qt::OpenGLWidgets Qt::Core5Compat)
endif()
target_include_directories(subtitlecomposer-lib PUBLIC
	${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
	${Qt${QT_MAJOR_VERSION}Widgets_INCLUDE_DIRS} ${Qt${QT_MAJOR_VERSION}Widgets_PRIVATE_INCLUDE_DIRS}
	${Qt${QT_MAJOR_VERSION}Gui_INCLUDE_DIRS} ${Qt${QT_MAJOR_VERSION}Gui_PRIVATE_INCLUDE_DIRS}
	${OPENAL_INCLUDE_DIR}
	${FFMPEG_INCLUDE_DIRS}
)
if(ICU_FOUND)
	message(STATUS "ICU Library will be used for charset detection.")
	set(HAVE_ICU 1 CACHE INTERNAL EXPORTEDVARIABLE)
	target_include_directories(subtitlecomposer-lib PUBLIC ${ICU_INCLUDE_DIRS})
else()
	message(STATUS "ICU Library not found. KEncodingProber fallback will be used for charset detection.")
endif()

add_subdirectory(tests)
add_subdirectory(scripting)

add_executable(subtitlecomposer WIN32 main.cpp ${subtitlecomposer_RES_SRC})
target_link_libraries(subtitlecomposer subtitlecomposer-lib)

install(TARGETS subtitlecomposer DESTINATION ${KDE_INSTALL_BINDIR})

install(FILES subtitlecomposerrc DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES org.kde.subtitlecomposer.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.subtitlecomposer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES subtitlecomposer.xml DESTINATION ${KDE_INSTALL_MIMEDIR})

# build plugins
add_subdirectory(speechplugins/pocketsphinx)

# do the configuration of config.h at the end, so all the necessary variables have been set
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== doc/en/CMakeLists.txt ===
include_directories(${QT_INCLUDES})

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

=== src/speechplugins/pocketsphinx/CMakeLists.txt ===
find_package(PocketSphinx 5)
if(NOT POCKETSPHINX_FOUND)
	message(STATUS "Have NOT Found PocketSphinx - Speech plugin will not be built")
	return()
endif()

set(speech_pocketsphinx_SRCS
	../../speechprocessor/speechplugin.cpp
	pocketsphinxplugin.cpp
	pocketsphinxconfigwidget.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)
ki18n_wrap_ui(speech_pocketsphinx_SRCS
	pocketsphinxconfigwidget.ui
)
kconfig_add_kcfg_files(speech_pocketsphinx_SRCS GENERATE_MOC
	${CMAKE_CURRENT_SOURCE_DIR}/pocketsphinxconfig.kcfgc
)

add_library(pocketsphinxasr MODULE ${speech_pocketsphinx_SRCS})

install(TARGETS pocketsphinxasr DESTINATION ${SC_PLUGIN_INSTALL_DIR})

target_include_directories(pocketsphinxasr SYSTEM PRIVATE
	${CMAKE_CURRENT_BINARY_DIR} # so files can find plugin-config.h
	${POCKETSPHINX_INCLUDE_DIRS})
target_link_libraries(pocketsphinxasr
	Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Widgets Qt${QT_MAJOR_VERSION}::Gui
	KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::ConfigGui
	KF${KF_MAJOR_VERSION}::KIOCore KF${KF_MAJOR_VERSION}::KIOFileWidgets KF${KF_MAJOR_VERSION}::KIOWidgets
	${POCKETSPHINX_LIBRARIES})

add_dependencies(pocketsphinxasr subtitlecomposer)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/plugin-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/plugin-config.h)

set(CMAKE_REQUIRED_INCLUDES ${POCKETSPHINX_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${POCKETSPHINX_LIBRARIES})
check_cxx_source_compiles("#include <pocketsphinx.h>\nint main(){ ps_seg_iter(nullptr); return 0; }" PocketSphinx_NEW_ps_seg_iter)
if(PocketSphinx_NEW_ps_seg_iter)
	target_compile_definitions(pocketsphinxasr PRIVATE HAS_NEW_PS_SEG_ITER=1)
endif()

=== debian/changelog ===
subtitlecomposer (0.8.0-1build6) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 05 Apr 2024 15:20:19 +0300

subtitlecomposer (0.8.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:21 +1100

subtitlecomposer (0.8.0-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:14:20 +0000

subtitlecomposer (0.8.0-1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:28:27 +0000

subtitlecomposer (0.8.0-1build2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Dec 2023 20:00:43 +0300

subtitlecomposer (0.8.0-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:55:57 +0100

subtitlecomposer (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-compilation-with-ffmpeg5-63.patch: drop, backported from
      upstream
    - upstream_VideoPlayer-Fix-usage-of-deprecated-removed-AVCodec-.patch:
      drop, backported from upstream
    - upstream_Use-non-deprecated-ffmpeg-api.patch: drop, backported from
      upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - add qtdeclarative5-dev, and libssl-dev
    - drop libkf5auth-dev, and kross-dev, no more used
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Nov 2023 22:08:57 +0100

=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.16~),
 pkg-kde-tools (>= 0.15.16),
 qtbase5-dev (>= 5.9.0~),
 qtbase5-private-dev (>= 5.9.0~),
 libqt5opengl5-desktop-dev (>= 5.9.0~),
 qtdeclarative5-dev (>= 5.9.0~),
 extra-cmake-modules (>= 1.2.0),
 libkf5codecs-dev (>= 5.44.0~),
 libkf5config-dev (>= 5.44.0~),
 libkf5configwidgets-dev (>= 5.44.0~),
 libkf5coreaddons-dev (>= 5.44.0~),
 libkf5i18n-dev (>= 5.44.0~),
 libkf5kio-dev (>= 5.44.0~),
 libkf5sonnet-dev (>= 5.44.0~),
 libkf5textwidgets-dev (>= 5.44.0~),
 libkf5widgetsaddons-dev (>= 5.44.0~),
 libkf5xmlgui-dev (>= 5.44.0~),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswresample-dev,
 libswscale-dev,
 pkg-config,
 libicu-dev,
 libopenal-dev,
 libpocketsphinx-dev [amd64 i386],
 libssl-dev,
 gettext,
# for tests:
 xvfb <!nocheck>,
 xauth <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://subtitlecomposer.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based subtitle editor
 A text-based subtitles editor supporting basic operations (text, time and
 style edition), realtime previewing and spell checking. Other fancy features
 are delaying all subtitles in the current subtitle file, checking errors or
 creating translations.
 .
 Different backends (GStreamer, MPlayer, MPV, or Phonon) can be used to play
 the realtime video preview which helps to synchronize the subtitles.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## subtitlecomposer 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,22 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-project(subtitlecomposer VERSION "0.8.0")
+project(subtitlecomposer VERSION "0.8.1")
 
 if(QT_MAJOR_VERSION EQUAL 6)
 	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat)
 	set(QT_MIN_VERSION "6.0.0")
 	set(KF_MAJOR_VERSION "6")
 	set(KF_MIN_VERSION "5.240.0")
-	set(CMAKE_CXX_STANDARD 17)
 else()
 	set(QT_EXTRA_COMPONENTS)
 	set(QT_MAJOR_VERSION 5)
 	set(QT_MIN_VERSION "5.9.0")
 	set(KF_MAJOR_VERSION "5")
 	set(KF_MIN_VERSION "5.44.0")
-	set(CMAKE_CXX_STANDARD 11)
 endif()
 
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_STANDARD 17)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	gui/treeview/richlineedit.cpp gui/treeview/richdocumentptr.cpp gui/treeview/treeview.cpp
 	#[[ gui/subtitlemetawidget ]] gui/subtitlemeta/subtitlemetawidget.cpp gui/subtitlemeta/csshighlighter.cpp
 	gui/subtitlemeta/subtitlepositionwidget.cpp
-	#[[ helpers ]] helpers/commondefs.cpp helpers/debug.cpp helpers/fileloadhelper.cpp helpers/filesavehelper.cpp helpers/filetrasher.cpp helpers/languagecode.cpp
+	#[[ helpers ]] helpers/commondefs.cpp helpers/debug.cpp helpers/languagecode.cpp
 	helpers/pluginhelper.h
 	#[[ scripting ]] scripting/scriptsmanager.cpp
 	scripting/scripting_rangesmodule.cpp scripting/scripting_stringsmodule.cpp scripting/scripting_subtitlemodule.cpp scripting/scripting_subtitlelinemodule.cpp
@@ -83,7 +83,7 @@
 	#[[ speechprocessor ]] speechprocessor/speechprocessor.cpp speechprocessor/speechplugin.cpp
 	#[[ streamprocessor ]] streamprocessor/streamprocessor.cpp
 	#[[ translations ]] translate/translatedialog.cpp translate/translateengine.cpp
-	#[[ translation engines ]] translate/deeplengine.cpp translate/googlecloudengine.cpp
+	#[[ translation engines ]] translate/deeplengine.cpp translate/mintengine.cpp translate/googlecloudengine.cpp
 	#[[ utils ]] utils/finder.cpp utils/replacer.cpp utils/speller.cpp
 	#[[ videoplayer ]] videoplayer/videoplayer.cpp videoplayer/videowidget.cpp videoplayer/waveformat.h videoplayer/subtitletextoverlay.cpp
 	videoplayer/backend/glrenderer.cpp videoplayer/backend/ffplayer.cpp videoplayer/backend/framequeue.cpp videoplayer/backend/packetqueue.cpp
@@ -103,7 +103,7 @@
 	#[[ formats ]] formats/vobsub/vobsubinputinitdialog.ui formats/vobsub/vobsubinputprocessdialog.ui
 	#[[ gui/subtitlemetawidget ]] gui/subtitlemeta/subtitlepositionwidget.ui
 	#[[ scripting ]] scripting/scriptsmanager.ui
-	#[[ translation engines ]] translate/deeplengine.ui translate/googlecloudengine.ui
+	#[[ translation engines ]] translate/deeplengine.ui translate/mintengine.ui translate/googlecloudengine.ui
 	)
 
 add_subdirectory(icons)

=== src/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
	${QtTest_INCLUDE_DIRS}
)

add_executable(test-core-rangelist rangelisttest.cpp)
add_test(core-rangelist test-core-rangelist)
ecm_mark_as_test(test-core-rangelist)
target_link_libraries(test-core-rangelist Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

add_executable(test-core-range rangetest.cpp)
add_test(core-range test-core-range)
ecm_mark_as_test(test-core-range)
target_link_libraries(test-core-range Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

add_executable(test-core-time timetest.cpp)
add_test(core-time test-core-time)
ecm_mark_as_test(test-core-time)
target_link_libraries(test-core-time Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

add_executable(test-core-richstring richstringtest.cpp)
add_test(core-richstring test-core-richstring)
ecm_mark_as_test(test-core-richstring)
target_link_libraries(test-core-richstring Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

add_executable(test-core-richdocument richdocumenttest.cpp)
add_test(core-richdocument test-core-richdocument)
ecm_mark_as_test(test-core-richdocument)
target_link_libraries(test-core-richdocument Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

add_executable(test-core-richdocumentlayout richdocumentlayouttest.cpp)
add_test(core-richdocument test-core-richdocumentlayout)
ecm_mark_as_test(test-core-richdocumentlayout)
target_link_libraries(test-core-richdocumentlayout Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

if (NOT MSVC)
	add_executable(test-core-richcss richcsstest.cpp)
	add_test(core-richcss test-core-richcss)
	ecm_mark_as_test(test-core-richcss)
	target_link_libraries(test-core-richcss Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)
endif()

add_executable(test-core-subtitle subtitletest.cpp)
add_test(core-subtitle test-core-subtitle)
ecm_mark_as_test(test-core-subtitle)
target_link_libraries(test-core-subtitle Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

=== src/speechplugins/pocketsphinx/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,16 @@
 find_package(PocketSphinx 5)
 if(NOT POCKETSPHINX_FOUND)
 	message(STATUS "Have NOT Found PocketSphinx - Speech plugin will not be built")
+	return()
+endif()
+
+set(CMAKE_REQUIRED_INCLUDES ${POCKETSPHINX_INCLUDE_DIRS})
+set(CMAKE_REQUIRED_LIBRARIES ${POCKETSPHINX_LIBRARIES})
+check_cxx_source_compiles("#include <pocketsphinx.h>\nint main(){ ps_seg_iter(nullptr); return 0; }" PocketSphinx_NEW_ps_seg_iter)
+check_cxx_source_compiles("#include <pocketsphinx.h>\nint main(){ cmd_ln_free_r(nullptr); return 0; }" PocketSphinx_OK_prealpha5)
+
+if(NOT PocketSphinx_OK_prealpha5)
+	message(STATUS "Have found BROKEN PocketSphinx 5 - Speech plugin will not be built")
 	return()
 endif()
 
@@ -34,9 +44,6 @@
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/plugin-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/plugin-config.h)
 
-set(CMAKE_REQUIRED_INCLUDES ${POCKETSPHINX_INCLUDE_DIRS})
-set(CMAKE_REQUIRED_LIBRARIES ${POCKETSPHINX_LIBRARIES})
-check_cxx_source_compiles("#include <pocketsphinx.h>\nint main(){ ps_seg_iter(nullptr); return 0; }" PocketSphinx_NEW_ps_seg_iter)
 if(PocketSphinx_NEW_ps_seg_iter)
 	target_compile_definitions(pocketsphinxasr PRIVATE HAS_NEW_PS_SEG_ITER=1)
 endif()

=== debian/changelog ===
subtitlecomposer (0.8.1-2build3) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 15 Jul 2025 13:08:36 +0300

subtitlecomposer (0.8.1-2build2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:32 +0100

subtitlecomposer (0.8.1-2build1) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Sep 2024 11:20:19 +0300

subtitlecomposer (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit bc9f0507df17c42746ef5acc06313a7a058391d4,
    commit cba7681e7931d7217cc063dc256939baec83a19e,
    commit 91b414a778cfc8fcee55f72352043aade2582627,
    commit 6de245940eea868762021c5ba7ee4c621404feeb,
    commit 616d5d60572ba57fad45aa139a99eb6a43a73c5f,
    commit 5ad0c6046828f842650de39438afa276902e1c94,
    commit 7959dcc03a3943f551b21bbfeba97e8ae1e3814a,
    commit 1e8f6320e8bb914c5dce50a90c8ae290bb5d9919, and
    commit 98a77fc69fc62b857054f3b1cdbb7a8a03e2ae36 to improve the FFmpeg code,
    and make it compatible with FFmpeg 7+; patches
    upstream_Replaced-deprecated-FFmpeg-channel-layout-code.patch,
    upstream_VideoPlayer-check-AVFMT_NO_BYTE_SEEK-flag-for-seek_b.patch,
    upstream_VideoPlayer-stop-using-AVFrame.pkt_pos.patch,
    upstream_VideoPlayer-remove-usage-of-internal-AVInputFormat.r.patch,
    upstream_VideoPlayer-stop-injecting-stream-side-data-in-packe.patch,
    upstream_VideoPlayer-check-return-of-swr_alloc_set_opts2.patch,
    upstream_StreamProcessor-stop-using-pkt_duration.patch,
    upstream_StreamProcessor-stop-using-AVFrame-duration.patch, and
    upstream_Require-FFmpeg-5.1.5.patch (Closes: #1072453)
    - bump the FFmpeg build dependencies to 5.1.5 accordingly
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sun, 04 Aug 2024 07:53:20 +0200

subtitlecomposer (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 12 Jun 2024 06:45:49 +0200

subtitlecomposer (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the libqt5opengl5-desktop-dev build dependency, as subtitlecomposer
    0.8.0 should build and work also with OpenGL ES.
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 09:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: subtitlecomposer
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
- pkg-kde-tools (>= 0.15.16),
+ dh-sequence-kf5,
  qtbase5-dev (>= 5.9.0~),
  qtbase5-private-dev (>= 5.9.0~),
- libqt5opengl5-desktop-dev (>= 5.9.0~),
  qtdeclarative5-dev (>= 5.9.0~),
  extra-cmake-modules (>= 1.2.0),
  libkf5codecs-dev (>= 5.44.0~),
@@ -22,12 +20,12 @@
  libkf5textwidgets-dev (>= 5.44.0~),
  libkf5widgetsaddons-dev (>= 5.44.0~),
  libkf5xmlgui-dev (>= 5.44.0~),
- libavcodec-dev,
- libavformat-dev,
- libavutil-dev,
- libswresample-dev,
- libswscale-dev,
- pkg-config,
+ libavcodec-dev (>= 7:5.1.5~),
+ libavformat-dev (>= 7:5.1.5~),
+ libavutil-dev (>= 7:5.1.5~),
+ libswresample-dev (>= 7:5.1.5~),
+ libswscale-dev (>= 7:5.1.5~),
+ pkgconf,
  libicu-dev,
  libopenal-dev,
  libpocketsphinx-dev [amd64 i386],
@@ -36,7 +34,7 @@
 # for tests:
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://subtitlecomposer.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer

## subtitlecomposer 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-project(subtitlecomposer VERSION "0.8.1")
+project(subtitlecomposer VERSION "0.8.2")
 
 if(QT_MAJOR_VERSION EQUAL 6)
 	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat)

=== doc/CMakeLists.txt ===
include_directories(${QT_INCLUDES})

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

add_subdirectory(en)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,14 @@
 
 if(CMAKE_COMPILER_IS_GNUCC)
 	message(STATUS "GNU C compiler detected")
+	if(SC_NO_DEPRECATED)
+		set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wno-deprecated-declarations")
+		set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wno-deprecated-declarations")
+	endif()
+	if(SC_WARN_ERRORS)
+		set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror")
+		set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Werror")
+	endif()
 	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Og -g")
 	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Og -g")
 	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3")
@@ -25,7 +33,7 @@
 	set(SC_APPIMAGE 1 CACHE INTERNAL EXPORTEDVARIABLE)
 endif()
 
-find_package(FFmpeg 57.83.100 REQUIRED)
+find_package(FFmpeg 59.27.100 REQUIRED)
 find_package(OpenAL REQUIRED)
 find_package(ICU)

=== src/icons/CMakeLists.txt ===
list(APPEND subtitlecomposer_RES ${CMAKE_CURRENT_SOURCE_DIR}/icon-bundle.qrc)

if(MINGW)
	list(APPEND subtitlecomposer_RES_SRC ${CMAKE_CURRENT_SOURCE_DIR}/subtitlecomposer.rc)
	set(BUNDLE_THEME_ICONS 1)
elseif(APPIMAGE)
	ecm_install_icons(ICONS
		256-apps-subtitlecomposer.png
		DESTINATION ${KDE_INSTALL_ICONDIR}
		THEME hicolor)
	set(BUNDLE_THEME_ICONS 1)
else()
	ecm_install_icons(ICONS
		16-apps-subtitlecomposer.png 32-apps-subtitlecomposer.png 128-apps-subtitlecomposer.png 256-apps-subtitlecomposer.png
		DESTINATION ${KDE_INSTALL_ICONDIR}
		THEME hicolor)
endif()

if(BUNDLE_THEME_ICONS)
	if(BUNDLE_THEME_ICONS EQUAL 1)
		if(CMAKE_CROSSCOMPILING)
			set(BUNDLE_THEME_ICONS "/usr/share/icons/breeze") # how do you get host's install_prefix when cross compiling?
		else()
			set(BUNDLE_THEME_ICONS "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_ICONDIR}/breeze")
		endif()
	endif()
	message(STATUS "Bundling system icon theme...'")
	execute_process(COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/theme-icons-bundle.sh" "${BUNDLE_THEME_ICONS}"
		OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/theme-icons-bundle.qrc)
	list(APPEND subtitlecomposer_RES ${CMAKE_CURRENT_BINARY_DIR}/theme-icons-bundle.qrc)
	set(SC_BUNDLE_SYSTEM_THEME 1 CACHE INTERNAL EXPORTEDVARIABLE)
endif()

# export vars
set(subtitlecomposer_RES_SRC "${subtitlecomposer_RES_SRC}" PARENT_SCOPE)
set(subtitlecomposer_RES "${subtitlecomposer_RES}" PARENT_SCOPE)

=== src/scripting/CMakeLists.txt ===
FILE(GLOB javascript_examples examples/*.js)
FILE(GLOB header_files scripting_*.h)

INSTALL(FILES
	${javascript_examples} examples/README
	DESTINATION ${KDE_INSTALL_DATADIR}/subtitlecomposer/scripts
)

INSTALL(FILES
	${header_files}
	DESTINATION ${KDE_INSTALL_DATADIR}/subtitlecomposer/scripts/api
)

=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -45,3 +45,8 @@
 add_test(core-subtitle test-core-subtitle)
 ecm_mark_as_test(test-core-subtitle)
 target_link_libraries(test-core-subtitle Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)
+
+add_executable(test-helper-objectref objectreftest.cpp)
+add_test(helper-objectref test-helper-objectref)
+ecm_mark_as_test(test-helper-objectref)
+target_link_libraries(test-helper-objectref Qt${QT_MAJOR_VERSION}::Test subtitlecomposer-lib)

=== debian/changelog ===
subtitlecomposer (0.8.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 0043f4434886c5aabe99705d40bd7f633b8b73e7 to fix
    build with FFmpeg 8; patch
    upstream_Include-libavcodec-avfft.h-only-when-AUDIO_VISUALIZA.patch.
    (Closes: #1115045)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Sep 2025 18:32:35 +0200

subtitlecomposer (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Replaced-deprecated-FFmpeg-channel-layout-code.patch: drop,
      backported from upstream
    - upstream_VideoPlayer-check-AVFMT_NO_BYTE_SEEK-flag-for-seek_b.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-stop-using-AVFrame.pkt_pos.patch: drop, backported
      from upstream
    - upstream_VideoPlayer-remove-usage-of-internal-AVInputFormat.r.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-stop-injecting-stream-side-data-in-packe.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-check-return-of-swr_alloc_set_opts2.patch: drop,
      backported from upstream
    - upstream_StreamProcessor-stop-using-pkt_duration.patch: drop, backported
      from upstream
    - upstream_StreamProcessor-stop-using-AVFrame-duration.patch: drop,
      backported from upstream
    - upstream_Require-FFmpeg-5.1.5.patch: drop, backported from upstream
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, qtbase5-private-dev, qtdeclarative5-dev,
      libkf5codecs-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, libkf5kio-dev, libkf5sonnet-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-base-private-dev, qt6-declarative-dev,
      qt6-5compat-dev, libkf6codecs-dev, libkf6config-dev,
      libkf6configwidgets-dev, libkf6coreaddons-dev, libkf6i18n-dev,
      libkf6kio-dev, libkf6sonnet-dev, libkf6textwidgets-dev,
      libkf6widgetsaddons-dev, and libkf6xmlgui-dev
  * Switch the kf5 dh addon to kf6.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DQT_MAJOR_VERSION=6 to cmake to build with Qt 6.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Sep 2025 20:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
- dh-sequence-kf5,
- qtbase5-dev (>= 5.9.0~),
- qtbase5-private-dev (>= 5.9.0~),
- qtdeclarative5-dev (>= 5.9.0~),
+ dh-sequence-kf6,
+ qt6-base-dev (>= 6.0.0~),
+ qt6-base-private-dev (>= 6.0.0~),
+ qt6-declarative-dev (>= 6.0.0~),
+ qt6-5compat-dev (>= 6.0.0~),
  extra-cmake-modules (>= 1.2.0),
- libkf5codecs-dev (>= 5.44.0~),
- libkf5config-dev (>= 5.44.0~),
- libkf5configwidgets-dev (>= 5.44.0~),
- libkf5coreaddons-dev (>= 5.44.0~),
- libkf5i18n-dev (>= 5.44.0~),
- libkf5kio-dev (>= 5.44.0~),
- libkf5sonnet-dev (>= 5.44.0~),
- libkf5textwidgets-dev (>= 5.44.0~),
- libkf5widgetsaddons-dev (>= 5.44.0~),
- libkf5xmlgui-dev (>= 5.44.0~),
+ libkf6codecs-dev (>= 5.240.0~),
+ libkf6config-dev (>= 5.240.0~),
+ libkf6configwidgets-dev (>= 5.240.0~),
+ libkf6coreaddons-dev (>= 5.240.0~),
+ libkf6i18n-dev (>= 5.240.0~),
+ libkf6kio-dev (>= 5.240.0~),
+ libkf6sonnet-dev (>= 5.240.0~),
+ libkf6textwidgets-dev (>= 5.240.0~),
+ libkf6widgetsaddons-dev (>= 5.240.0~),
+ libkf6xmlgui-dev (>= 5.240.0~),
  libavcodec-dev (>= 7:5.1.5~),
  libavformat-dev (>= 7:5.1.5~),
  libavutil-dev (>= 7:5.1.5~),
@@ -34,8 +35,7 @@
 # for tests:
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://subtitlecomposer.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

=== debian/watch ===
version=4
https://download.kde.org/stable/subtitlecomposer/subtitlecomposer-([\d\.]+)\.tar\.xz

## subtitlecomposer 0.8.2+p24.04+vstable+git20250925.1356

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20250925.1356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:56:52 +0000

subtitlecomposer (0.8.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Sep 2025 15:46:14 +0000

subtitlecomposer (0.8.1-1neon) noble; urgency=medium

  * Rebuild for kf6/qt6

 -- Neon CI <neon@kde.org>  Tue, 19 Aug 2025 11:53:06 +0000

subtitlecomposer (0.8.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 15:46:06 +0000

subtitlecomposer (0.8.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Dec 2023 03:35:52 +0000

## subtitlecomposer 0.8.2+p24.04+vstable+git20251001.1130

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20251001.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:30:52 +0000

=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libicu-dev,
               libopenal-dev,
               libpocketsphinx-dev [amd64 i386 arm64],
               libswresample-dev,
               libswscale-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://subtitlecomposer.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/subtitlecomposer.git
Vcs-Browser: https://invent.kde.org/neon/extras/subtitlecomposer
Maintainer: Neon CI <neon@kde.org>

Package: subtitlecomposer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: text-based subtitle editor
 A text-based subtitles editor supporting basic operations (text, time and
 style edition), realtime previewing and spell checking. Other fancy features
 are delaying all subtitles in the current subtitle file, checking errors or
 creating translations.
 .
 Different backends (GStreamer, MPlayer, MPV, or Phonon) can be used to play
 the realtime video preview which helps to synchronize the subtitles.

## subtitlecomposer 0.8.2+p24.04+vstable+git20251015.1423

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(subtitlecomposer VERSION "0.8.2")
 
 if(QT_MAJOR_VERSION EQUAL 6)
-	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat)
+	set(QT_EXTRA_COMPONENTS OpenGLWidgets Core5Compat WidgetsPrivate)
 	set(QT_MIN_VERSION "6.0.0")
 	set(KF_MAJOR_VERSION "6")
 	set(KF_MIN_VERSION "5.240.0")

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20251015.1423-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:23:45 +0000

## subtitlecomposer 0.8.2+p24.04+vstable+git20251211.0056

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20251211.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 00:56:33 +0000

## subtitlecomposer 0.8.2+p24.04+vstable+git20251231.0257

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20251231.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:57:32 +0000

## subtitlecomposer 0.8.2+p24.04+vstable+git20260113.0421

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16)
 
 project(subtitlecomposer VERSION "0.8.2")
 
@@ -19,7 +19,7 @@
 set(CMAKE_CXX_STANDARD 17)
 
 find_package(ECM REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vstable+git20260113.0421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 04:21:29 +0000

## subtitlecomposer 0.8.2+p24.04+vunstable+git20251208.0256

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vunstable+git20251208.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:57:01 +0000

## subtitlecomposer 0.8.2+p24.04+vunstable+git20251211.0303

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 project(subtitlecomposer VERSION "0.8.2")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 )
 
 add_definitions(-D_DEFAULT_SOURCE)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 if(APPIMAGE)
 	message(STATUS "AppImage build enabled")
 	set(SC_APPIMAGE 1 CACHE INTERNAL EXPORTEDVARIABLE)

## subtitlecomposer 0.8.2+p24.04+vunstable+git20260101.2220

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vunstable+git20260101.2220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 22:20:09 +0000

## subtitlecomposer 0.8.2+p24.04+vunstable+git20260113.0221

=== debian/changelog ===
subtitlecomposer (0.8.2+p24.04+vunstable+git20260113.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:21:10 +0000
